routes/web.php
<?php

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */

Route::get('/', function () {
    return view('welcome');
});


Route::resource('products', 'ProductController');

app/Product.php
<?php

namespace Aldomar;

use Illuminate\Database\Eloquent\Model;

class Product extends Model {

    protected $fillable = [
        'name', 'shor', 'body',
    ];

}

app/User.php
<?php

namespace Aldomar;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace Aldomar\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/ProductController.php
<?php

namespace Aldomar\Http\Controllers;

use Illuminate\Http\Request;
use Aldomar\Product;
use Aldomar\Http\Requests\ProductRequest;

class ProductController extends Controller {

    public function index() {
        $products = Product::orderBy('id', 'DESC')->paginate();
        return view('products.index', compact('products'));
    }

    public function show($id) {
        $product = Product::find($id);
        return view('products.show', compact('product'));
    }

    public function create() {
        return view('products.create');
    }

    public function store(ProductRequest $request) {
        $product = new Product;
        $product->name = $request->name;
        $product->short = $request->short;
        $product->body = $request->body;
        $product->save();
        return redirect()->route('products.index')->with('info', 'El producto fue guardado.');
    }

    public function edit($id) {
        $product = Product::find($id);
        return view('products.edit', compact('product'));
    }

    public function update(ProductRequest $request, $id) {
        $product = Product::find($id);
        $product->name = $request->name;
        $product->short = $request->short;
        $product->body = $request->body;
        $product->update();
        return redirect()->route('products.index')->with('info', 'El producto fue actualizado.');
    }

    public function destroy($id) {
        $product = Product::find($id);
        $product->delete();
        return back()->with('info', 'El producto fue eliminado.');
    }

}

resources/views/layout.blade.php
<!doctype html>
<html lang="es">
    <head>
        <meta charset="UTF-8">
        <title>CRUD | Aldomar</title>
    </head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header text-center">CRUD Laravel 5.6</h1>
                </div>
                @yield('content')
            </div>
        </div>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </body>
</html>

resources/views/products/create.blade.php
@extends('layout')
@section('content')
<div class="col-lg-8">
    <h2>Crear producto
        <a href="{{ route('products.index') }}" class="btn btn-primary pull-right"><span class="glyphicon glyphicon-home"></span></a>
    </h2>
    @include('products.fragment.error')
    
    {!! Form::open(['route'=>'products.store']) !!}
    
    @include('products.fragment.form')
    
    {!! Form::close() !!}
</div>
<div class="col-lg-4">
    @include('products.fragment.aside')
</div>
@endsection

resources/views/products/delete.blade.php
<form action="{{ route('products.destroy', $value->id) }}" method="POST">
    {{ csrf_field() }}
    <input type="hidden" name="_method" value="DELETE">
    <button type="submit" class="btn btn-danger"><span class="glyphicon glyphicon-remove"></span></button>
</form>

resources/views/products/edit.blade.php
@extends('layout')
@section('content')
<div class="col-lg-8">
    <h2>Editar producto
        <a href="{{ route('products.index') }}" class="btn btn-primary pull-right"><span class="glyphicon glyphicon-home"></span></a>
    </h2>
    @include('products.fragment.error')
    {!! Form::model($product, ['route'=>['products.update', $product->id], 'method'=>'PUT']) !!}
    
    @include('products.fragment.form')
    
    {!! Form::close() !!}
</div>
<div class="col-lg-4">
    @include('products.fragment.aside')
</div>
@endsection

resources/views/products/fragment/aside.blade.php
<div class="alert alert-info alert-dismissible" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <strong>Aldomar ..!</strong> Desde aquí podemos listar, crear, actualizar y eliminar los productos.
</div>
<img src="{{ asset('aldomar.png') }}" alt="" class="img-responsive">

resources/views/products/fragment/error.blade.php
@if(count($errors))
<div class="alert alert-danger alert-dismissible" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <strong>Aldomar ..!</strong>
    <ul>
        @foreach($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div>
@endif

resources/views/products/fragment/form.blade.php
<div class="form-group">
    {!! Form::label('name','Nombre del producto') !!}
    {!! Form::text('name',null,['class'=>'form-control','placeholder'=>'Nombre del producto']) !!}
</div>
<div class="form-group">
    {!! Form::label('short','Detalle del producto') !!}
    {!! Form::text('short',null,['class'=>'form-control','placeholder'=>'Detalle del producto']) !!}
</div>
<div class="form-group">
    {!! Form::label('body','Descripción del producto') !!}
    {!! Form::textarea('body',null,['class'=>'form-control','placeholder'=>'Descripción del producto']) !!}
</div>
<div class="form-group">
    {!! Form::submit('Enviar',['class'=>'btn btn-primary']) !!}
</div>

resources/views/products/fragment/info.blade.php
@if(Session::has('info'))
<div class="alert alert-info alert-dismissible" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <strong>Aldomar ..!</strong> {{ Session::get('info') }}
</div>
@endif

resources/views/products/index.blade.php
@extends('layout')
@section('content')
<div class="col-lg-8">
    <h2>Listado de productos
        <a href="{{ route('products.create') }}" class="btn btn-info pull-right">Nuevo</a>
    </h2>
    @include('products.fragment.info')
    {!! $products->render() !!}
    <table class="table table-hover table-condensed">
        <thead>
            <tr>
                <th>ID</th>
                <th>Producto</th>
                <th colspan="3" class="text-center">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @foreach($products as $value)
            <tr>
                <td>{{ $value->id }}</td>
                <td><strong>{{ $value->name }}</strong> {{ $value->short }}</td>
                <td>
                    <a href="{{ route('products.show', $value->id) }}" class="btn btn-success"><span class="glyphicon glyphicon-eye-open"></span></a>
                </td>
                <td>
                    <a href="{{ route('products.edit', $value->id) }}" class="btn btn-warning"><span class="glyphicon glyphicon-edit"></span></a>
                </td>
                <td>
                    @include('products.delete')
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>
<div class="col-lg-4">
    @include('products.fragment.aside')
</div>
@endsection

resources/views/products/show.blade.php
@extends('layout')
@section('content')
<div class="col-lg-8">
    <h2>{{ $product->name }}
    <a href="{{ route('products.edit', $product->id) }}" class="btn btn-warning pull-right"><span class="glyphicon glyphicon-edit"></span></a>
    </h2>
    <p>{{ $product->short }}</p>
    {!! $product->body !!}
</div>
<div class="col-lg-4">
    @include('products.fragment.aside')
</div>
@endsection